// swift-tools-version:5.3
// The swift-tools-version declares the minimum version of Swift required to build this package.

import PackageDescription

let package = Package(
    name: "WebIdIosIdentScanPlugin",
    platforms: [
        .iOS(.v13)
    ],
    products: [
        // Products define the executables and libraries a package produces, and make them visible to other packages.
        .library(name: "WebIdIosIdentScanPlugin", targets: ["WebIdIosIdentScanPluginWrapper"]),
    ],
    dependencies: [
        // Dependencies declare other packages that this package depends on.
        .package(
            name: "WebIdDocumentScanner",
            url: "https://api.webid-solutions.de/releases/ios/spm/SwiftPackages/webid-document-scanner-spm.git",
            .branch("snapshots")
        ),
        .package(
            name: "WebIdPluginCore",
            url: "https://api.webid-solutions.de/releases/ios/spm/SwiftPackages/webid-plugin-core-spm.git",
            .branch("snapshots")
        )
    ],
    targets: [
        .binaryTarget(
            name: "WebIdIosIdentScanPlugin",
            url: "https://api.webid-solutions.de/releases/ios/xcframework/snapshots/de/webid-solutions/WebIdIosIdentScanPlugin/15.0.0/WebIdIosIdentScanPlugin.framework-v15.0.0-SNAPSHOT-1353.zip",
            checksum: "4e63350a989cc232dd08c097a5bc632d7d002ecf6957d6dd31917f99bba6ed6b"
        ),
        .target(
            name: "WebIdIosIdentScanPluginWrapper",
            dependencies: [
                .target(name: "WebIdIosIdentScanPlugin"),
                // [target dependecies here]
                
                .product(name: "WebIdDocumentScanner", package: "WebIdDocumentScanner"),
                .product(name: "WebIdPluginCore", package: "WebIdPluginCore"),
            ]
        )
    ],
    swiftLanguageVersions: [SwiftVersion.v5]
)
